# Uses of Interface
org.eclipse.emf.compare.ide.internal.utils.IProxyCreationListener

Packages that use IProxyCreationListener
Package
Description
org.eclipse.emf.compare.ide.internal.utils
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of IProxyCreationListener in org.eclipse.emf.compare.ide.internal.utils

Classes in org.eclipse.emf.compare.ide.internal.utils that implement IProxyCreationListener
Modifier and Type
Class
Description
`final class`
`NotLoadingResourceSet`
This implementation of a resource set will be created from a `StorageTraversal`, and only those resources that are part of the traversal will be loaded.
Methods in org.eclipse.emf.compare.ide.internal.utils with parameters of type IProxyCreationListener
Modifier and Type
Method
Description
`void`
NotifyingParserPool.`addProxyListener(IProxyCreationListener listener)`
Add a proxy creation listener to this parser pool's list.
`void`
NotifyingParserPool.`removeProxyListener(IProxyCreationListener listener)`
Remove a proxy creation listener from this parser pool's list.

## Uses of IProxyCreationListener in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Classes in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that implement IProxyCreationListener
Modifier and Type
Class
Description
`class`
`AbstractMonitoredProxyCreationListener`
Asbtract super-class of `IProxyCreationListener`s to use for computing the logical model.
`class`
`LocalMonitoredProxyCreationListener`
Implementation of `IProxyCreationListener` for local resolutions.
`class`
`RemoteMonitoredProxyCreationListener`
Implementation of `IProxyCreationListener` for remote resources.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type IProxyCreationListener
Modifier
Constructor
Description
``
`SynchronizedResourceSet(IProxyCreationListener proxyListener)`
Constructor.